/* basic elements and widgets */

body {
	background-color: #@LIGHT_COLOR_HEX@;
	color: #@DARK_LABELS_HEX@;
	margin: 0px;
	padding: 10px;
	font-family : Tahoma, Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size: 9pt;
}

a {
	color: #@DARK_LABELS_HEX@;
	font-weight: bold;
}

table {
	font-size: 9pt;
	border-color: #@MIDDLE_COLOR_HEX@;
	border-spacing: 0px;
/*	border-collapse: collapse;*/
}

th {
	padding: 0px 7px 3px 0px;
}

/*tr:nth-child(even) {background: #eaecf2}
tr:nth-child(odd) {background: #FFF}*/

tr {
	vertical-align: top;
}

hr {
	border: none;
	border-top: 1px solid #415E6F;;
}

h1 {
	text-align: center;
	margin: 0px;
	color: #@DARK_LABELS_HEX@;
}

h2 {
        color: #@DARK_LABELS_HEX@;
}

h3 {
        color: #@DARK_LABELS_HEX@;
}


textarea, select, input.text {
	
	/*border: 1px solid #e2e6eb; #MIDDLE_LABELS_HEX@;*/ /*FIX NEEDED!!!!!*/

	font-size: 8pt;
	margin: 1px 3px 1px 0px;
	padding: 1px 3px;
	border-color: #c1c3cb;
	
	-moz-border-radius: 0.3em;
        -webkit-border-radius: 0.3em;
        -khtml-border-radius: 0.3em;
        border-radius: 0.3em;
	background-color: #eaecf2;
}

input.text[disabled], select[disabled]{
background-color: #e2e6eb;
}

.disabled{
color:#@MIDDLE_LABELS_HEX@;
}

.btn, button {
	background-image: url(/design/images/button-active.png);
	background-repeat:repeat-x;
	color: #@DARK_LABELS_HEX@;
	border: 1px solid #@MIDDLE_COLOR_HEX@;
	
	-moz-border-radius: 0.7em;
	-webkit-border-radius: 0.7em;
	-khtml-border-radius: 0.7em;
	border-radius: 0.7em;
	
	cursor: pointer;
	font-size: 9pt;
	padding: 2.5px 10px;


	-moz-box-shadow: 5px 5px 6px #a6a6a6;
	-webkit-box-shadow: 5px 5px 6px #a6a6a6;
	box-shadow: 5px 5px 6px #a6a6a6;

}

.btn:hover, button:hover {
	background-image: url(/design/images/button-passive.png);
	background-repeat:repeat-x;
	color: #@LIGHT_LABELS_HEX@;
	border: 1px solid #@DARK_LABELS_HEX@;
}

.box {
    position: relative;
    width: 780px;
    margin-top: 10px;

    padding: 10px 20px;
    padding-top: 10px;

    background-color: #cfd4e3;
    border: 1px solid #@SHADOW_HEX@;
}

.next-page-button,.prev-page-button,.first-page-button,.last-page-button {
    width: 25px;
    height: 20px;
    vertical-align:middle;
    cursor: pointer;
}

.next-page-button {
    background: url(/design/images/next-page-button.png) no-repeat;
}

.prev-page-button {
    background: url(/design/images/prev-page-button.png) no-repeat;
}

.first-page-button {
    background: url(/design/images/first-page-button.png) no-repeat;
}

.last-page-button {
    background: url(/design/images/last-page-button.png) no-repeat;
}

.close-dialog-button {
	width: 22px;
	height: 22px;
	border: 0px;
	cursor: pointer;
	background: url(/design/images/close-dialog-button.png) no-repeat;
}

/* messages */

.alterator-information-message {
    font-style:italic;
    font-size: 9pt;
    padding-top:3px;
    padding-bottom:3px;
}

.alterator-information-message img {
    vertical-align:middle;
}

.alterator-attention-message {
    color: darkred;
    border-color: darkred;
    border-width: 5px;
    border-style: double;
    padding: 4px;
    margin: 4px;

    min-width:10px;
    float:left;

    -moz-border-radius: 7px;
    -webkit-border-radius: 7px;
    -khtml-border-radius: 7px;
    border-radius: 7px;
}

.alterator-attention-message img {
    vertical-align:middle;
}

/* clock and timeedit */

canvas.alterator-clock {
    background: url(/design/images/clock-face.png) no-repeat;
}

/* calendar and dateedit */

.year {
	font-weight: bold;
	color:#@DARK_LABELS_HEX@;
	font-size:10pt;
	/*background-color: #F4F8F9;*/
}

.month {
	font-weight:bold;
	color:#@DARK_LABELS_HEX@;
	font-size:10pt;
}

.week {
	border-style:solid;
	border-width:1px;
	background-color: white;
}

.today {
	border: 1px solid #@DARK_LABELS_HEX@;
	cursor: pointer;

	background-image: url(/design/images/button-passive.png);
	background-repeat:repeat-x;
	color: #FFFFFF;

}

.day {
	border-style:solid;
	border-width:1px;
	background-color: #@LIGHT_LABELS_HEX@;
	cursor: pointer;
}

.day:hover {
	background-color: #@MIDDLE_COLOR_HEX@;
}

.alterator-dateedit-calendar table {
	width: 100%;
	text-align: center;
	background-image: url(/design/images/table-header.png);
	background-repeat:repeat-x;

	-webkit-border-top-left-radius: 0.7em;
	-webkit-border-top-right-radius: 0.7em;
	-moz-border-radius-topleft: 0.7em;
	-moz-border-radius-topright: 0.7em;
	border-top-left-radius: 0.7em;
	border-top-right-radius: 0.7em;
/*border-width: 2px;
border-style: solid;
border-color: #242a60;*/
	border-collapse: collapse;

/*
        -moz-border-radius-topright: 0.7em;
        -webkit-border-top-right-radius: 0.7em;
        -khtml-border-radius-topright: 0.7em;
        border-top-right-radius: 0.7em;
	-webkit-border-top-right-radius: 4px;
*/

	-moz-box-shadow: 0 0 8px 0.2em #a6a6a6;
	-webkit-box-shadow: 0 0 8px 0.2em #a6a6a6;
	box-shadow: 0 0 8px 0.2em #a6a6a6;
}

.alterator-dateedit-calendar td {
	padding: 3px;
}

.alterator-dateedit-button {
	vertical-align:middle;
	cursor:pointer;
	width: 15px;
	height: 16px;

}

/* main menu */

#main, #box {
	padding: 10px 20px;
	padding-top: 10px;

	background-color: #cfd4e3;
	border: 1px solid #@MIDDLE_COLOR_HEX@;
}

#main-td {
	width: 100%;
	padding-top: 10px;
}

#menu-td {
	padding-right: 10px;
	padding-top: 10px;
}

#menu {
	/*padding: 10px;*/
	background-color: white;
	border: 1px solid #c1c3cb;
	-moz-border-radius: 7px;
	-webkit-border-radius: 7px;
	-khtml-border-radius: 7px;
	border-radius: 7px;
}

.menu-item-normal a {
	font-weight: normal;
	text-decoration: none;
	color: #@DARK_LABELS_HEX@;
}

.menu-item-selected a {
	font-weight: bold;
	text-decoration: none;
	color: #@DARK_LABELS_HEX@;
	padding-top: 10px;
	margin-top: 10px;
	width: 200px;
}

.menu-item-normal {
	padding-left: 20px;
	width: 100%;
	padding-right: 4px;
	margin-top: 3px;
	margin-bottom: 2px;
}

.menu-item-selected {
	background-image: url(/design/images/menu-selected.png);
	background-repeat:repeat-y;
	padding-left: 20px;
	width: 80%;
	padding-top: 3px;
	padding-bottom: 3px;
	padding-right: 3px;
	margin-top: 3px;
	margin-bottom: 2px;
}

.menu-group-name  {
	color: #@DARK_LABELS_HEX@;
	background-image: url(/design/images/menu-header.png);
	background-repeat:repeat-x;
	font-size: 10pt;
	
	padding-top: 3px;
	padding-bottom: 3px;
	padding-right: 4px;
	padding-left: 10px;
	margin: 10px;
}

/* tables */

table.alterator-listbox {
	font-family:arial;
	margin:10px 0pt 15px;
	font-size: 8pt;
	width: 100%;
	text-align: left;
/*	border: solid 1px;*/

	-webkit-border-top-left-radius: 0.7em;
	-webkit-border-top-right-radius: 0.7em;
	-moz-border-radius-topleft: 0.7em;
	-moz-border-radius-topright: 0.7em;

	border-top-left-radius: 0.7em;
	border-top-right-radius: 0.7em;
	border-style:solid;
	border-color:#242a60;
	border-width: 1px;
	border-spacing:0px;

	background-image: url(/design/images/table-header.png);
        background-repeat:repeat-x;

}

table.alterator-listbox thead tr th, table.alterator-listbox tfoot tr th {

	/*border-collapse: separate;
	border: solid 1px;
	border-right-color:#242a60;
	border-right: 1px solid #242a60;*/
	font-size: 8pt;
	margin: 0px;
	padding: 4px;
	color: #@DARK_LABELS_HEX@;
}

table.alterator-listbox thead tr .header {
	background-image: url(/design/images/asc-desc.gif);
	background-repeat: no-repeat;
	background-position: center right;
	cursor: pointer;
	padding-right: 24px;
border-right: #@MIDDLE_COLOR_HEX@ solid 1px;

}

table.alterator-listbox tbody td {
	color: #@DARK_COLOR_HEX@;
	padding: 4px;
	background-color: #@LIGHT_LABELS_HEX@;
	vertical-align: top;
	/*border-left: solid 1px;
	border-right: solid 1px;
	border:none;*/
border-right: #@MIDDLE_COLOR_HEX@ solid 1px;
	
}

table.alterator-listbox tbody tr.odd td {
	background-color:#eaecf2;
	/*border:none;*/
}

table.alterator-listbox tbody tr.selected td, table.alterator-listbox tbody tr.odd.selected td {
	background-color: #D0E1FF;
	/*border-top:  #ffffff solid 1px; WTF??*/
}

table.alterator-listbox tbody tr.error td {
	background-color: #e6999b;
	font-weight: bold;
}

table.alterator-listbox tbody tr.odd.error td {
	background-color: #e68b8d;
	font-weight: bold;
}

table.alterator-listbox tbody tr.working td {
	background-color: #f2ecbd;
}

table.alterator-listbox tbody tr.odd.working td {
	background-color: #f2e88f;
}

table.alterator-listbox thead tr .headerSortUp {
	background-image: url(/design/images/asc.gif);
}

table.alterator-listbox thead tr .headerSortDown {
	background-image: url(/design/images/desc.gif);
}

table.alterator-listbox thead tr .headerSortDown, table.alterator-listbox thead tr .headerSortUp {
	background-color: #@LIGHT_LABELS_HEX@;
}

/* states */

.ui-state-disabled {
	cursor: default !important;
	color: #c3c7cb;
	background-color: #e2e6eb;
}

.btn.ui-state-disabled {
	color: #415E6F;
	background-color: #E2E6EB;
}

.btn.ui-state-disabled:hover {
	background-color: #E2E6EB;
}

/* progressbar */

.ui-progressbar {
    height:20px;
    text-align: left;
}
.ui-progressbar .ui-progressbar-value {
    height:100%;
}

/* accordion */

div.alterator-accordion h3 {
	background-color:  #eaecf2;
	font-size: 9pt;

	padding-top: 3px;
	padding-bottom: 3px;
	padding-left: 24px;

	margin: 2px;

	background-image: url(/design/images/right.gif);
	background-repeat: no-repeat;
	background-position: center left;
	cursor: pointer;
}

div.alterator-accordion h3.ui-state-active {
	background-image: url(/design/images/asc.gif);
}

/* resizeable */

.ui-resizable-s {
    cursor: s-resize;
    height: 7px;
    width: 100%;
    bottom: 0px;
    left: 0px;
    background:#E2E6EB url(/design/images/hgrabber.gif) no-repeat scroll 45%;
}

.ui-resizable-s:hover {
	background-color: #1B3664;
}


/* corner radius */

.ui-corner-tl {
	-moz-border-radius-topleft: 4px;
	-webkit-border-top-left-radius: 4px;
}

.ui-corner-tr {
	-moz-border-radius-topright: 4px;
	-webkit-border-top-right-radius: 4px;
}

.ui-corner-bl {
	-moz-border-radius-bottomleft: 4px;
	-webkit-border-bottom-left-radius: 4px;
}

.ui-corner-br {
	-moz-border-radius-bottomright: 4px;
	-webkit-border-bottom-right-radius: 4px;
}

.ui-corner-top {
	-moz-border-radius-topleft: 4px;
	-webkit-border-top-left-radius: 4px;
	-moz-border-radius-topright: 4px;
	-webkit-border-top-right-radius: 4px;
}

.ui-corner-bottom {
	-moz-border-radius-bottomleft: 4px;
	-webkit-border-bottom-left-radius: 4px;
	-moz-border-radius-bottomright: 4px;
	-webkit-border-bottom-right-radius: 4px;
}

.ui-corner-right {
	-moz-border-radius-topright: 4px;
	-webkit-border-top-right-radius: 4px;
	-moz-border-radius-bottomright: 4px;
	-webkit-border-bottom-right-radius: 4px;
}

.ui-corner-left {
	-moz-border-radius-topleft: 4px;
	-webkit-border-top-left-radius: 4px;
	-moz-border-radius-bottomleft: 4px;
	-webkit-border-bottom-left-radius: 4px;
}

.ui-corner-all {
	-moz-border-radius: 0.8em;
	-webkit-border-radius: 0.8em;
}

/* overlays */

.ui-widget-overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: #aaaaaa;
	opacity: .3;
	filter:Alpha(Opacity=30);
}

/* dialog */

.ui-widget-content {
	background-color: #@LIGHT_LABELS_HEX@;
	border: 1px solid #@MIDDLE_COLOR_HEX@;
}

.ui-widget-header {
	color: #EAEDEF;
	background-color: #@MIDDLE_COLOR_HEX@;
	font-weight: bold;
}

.ui-dialog .ui-dialog-title {
    float: left;
    margin: .1em 0 .2em;
}

.ui-dialog .ui-dialog-titlebar {
    padding: .5em .3em .3em 1em;
}


.ui-dialog .ui-dialog-titlebar-close {
    float:right;
}

.ui-dialog .ui-dialog-titlebar-close span {
    display: block;
    margin: 1px;
}

.ui-dialog .ui-dialog-content {
    border: 0;
    padding: .5em 1em;
    background: none;
    overflow: auto;
}

.ui-dialog .ui-dialog-buttonpane {
	text-align: left;
	border-width: 1px 0 0 0;
	background-image: none;
	margin: .5em 0 0 0;
	padding: .3em 1em .5em .4em;
}

.ui-dialog .ui-dialog-buttonpane button {
	float: right;
	margin: .5em .4em .5em 0;
	cursor: pointer;
	width:auto;
	overflow:visible;
}

.ui-icon-closethick {
    width: 22px;
    height: 22px;
    text-indent: -99999px;
    overflow: hidden;
    background: url(/design/images/close-dialog-button.png) no-repeat;
}

/* layout helpers */

.ui-helper-clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
.ui-helper-clearfix { display: inline-block; }
/* required comment for clearfix to work in Opera \*/
* html .ui-helper-clearfix { height:1%; }
.ui-helper-clearfix { display:block; }
/* end clearfix */

/* help button */

.ui-help-button {
	background-color: #@LIGHT_LABELS_HEX@;
	margin-bottom: 10px;
	padding-top: 7px;

	border: 1px solid #c1c3cb;
	-moz-border-radius: 4px;
	-webkit-border-radius: 4px;
	-khtml-border-radius: 4px;
	border-radius: 4px;
}

.ui-help-button-content {
	padding-left: 10px;
	padding-right: 30px;
}

/* top line */

#top {
	text-align:left;
	background: url(/design/images/header-gradient.png) repeat-x;

	padding: 0em;
	margin-bottom: 0px;
}

#product-logo {
	background: url(/design/images/product-logo.png) no-repeat;
	width: 521px;
	height: 58px;
	border: 0px;
	padding: 0px;
	margin: 0px;
}

#title {
	padding-left: 1em;
	padding-right: 1em;
	text-align: left;

	color: #@DARK_LABELS_HEX@;
	font-weight: bold;
	text-decoration: none;
	font-size:large;
}

.top-button {
        padding-right: 10px;
}


/* deprecated */

.error-message {
	background-color: #efc9d3;
	border: 1px solid #f81751;
	padding-left:10px;
	padding-right:10px;
	margin-bottom:10px;
}

#help-popup {
	padding-left: 10px;
	padding-right: -30px;
	background-color: #@LIGHT_LABELS_HEX@;

        border: 1px solid #c1c3cb;
        -moz-border-radius: 0.5em;
        -webkit-border-radius: 0.5em;
        -khtml-border-radius: 0.5em;
        border-radius: 0.5em;
}

.hresizeable {
	width: 100%;
	height: 7px;
	background:#@DARK_COLOR_HEX@ url(/design/images/hgrabber.gif) no-repeat scroll 45%;
	cursor: s-resize;
}

.hresizeable:hover {
	background-color: #@MIDDLE_COLOR_HEX@;
}
